The Spring Framework

## org.springframework.jdbc.datasource.lookup
Class DataSourceLookupFailureException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.springframework.core.NestedRuntimeException
                      org.springframework.dao.DataAccessException
                          org.springframework.dao.NonTransientDataAccessException
                              org.springframework.jdbc.datasource.lookup.DataSourceLookupFailureException

All Implemented Interfaces:
  Serializable

    public class DataSourceLookupFailureException

extends NonTransientDataAccessException

Exception to be thrown by a DataSourceLookup implementation, indicating that the specified DataSource could not be obtained.

Since:
  2.0
Author:
  Juergen Hoeller
See Also:
  Serialized Form

Constructor Summary
`DataSourceLookupFailureException(String msg)` Constructor for DataSourceLookupFailureException.
`DataSourceLookupFailureException(String msg, Throwable cause)` Constructor for DataSourceLookupFailureException.

Method Summary

Methods inherited from class org.springframework.core.NestedRuntimeException
`contains, getMessage, getMostSpecificCause, getRootCause`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DataSourceLookupFailureException

    public DataSourceLookupFailureException(String msg)

  Constructor for DataSourceLookupFailureException.

  Parameters:
    `msg` - the detail message

### DataSourceLookupFailureException

    public DataSourceLookupFailureException(String msg,
                                            Throwable cause)

  Constructor for DataSourceLookupFailureException.

  Parameters:
    `msg` - the detail message
    `cause` - the root cause (usually from using a underlying lookup API such as JNDI)

The Spring Framework

Copyright © 2002-2008 The Spring Framework.